body {
  margin: 0;
  padding: 0
}

#map {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100%;
}

.mapbox-control {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  background-color: white;
  position: absolute;
  top: 75px;
  left: 10px;
  border-radius: 18px;
}

.toggle-button {
  flex-grow: 1;
  padding: 4px 13px;
  margin: 0 4px;
  font-size: 12px;
  border: none;
  border-radius: 4px;
  /* background-color: #e6e6e6; */
  color: #555555;
  cursor: pointer;
  transition: background-color 0.3s ease;
  border-radius: 18px;
}

.toggle-button.active {
  background-color: #e6e6e6;
  color: #555555;
}


.popup_title {
  background-color: white;
  padding: 5px;
}

table {
  background-color: #fff;
  /* color: #48484a!important; */
}

.city-name,
.city-weather,
th.city-param {
  text-align: center !important;
  color: #fff;
}

.hidden {
  display: none;
}

.city-data {
  cursor: pointer;
}


.city-data table tbody tr td {
  padding: 4pt
}

.city-data table tbody tr td:first-child {
  padding-left: 8pt;
}

.city-data table tbody tr td:last-child {
  padding-right: 8pt
}

td.city-param-name {
  text-transform: capitalize;
  font-weight: 500;
  font-size: 12px;
  padding: 12pt 8pt
}

td.city-param {
  font-weight: 700;
  font-size: 12px;
  padding: 12pt 8pt
}

.city-icon {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  min-width: 100px;
  padding: 0;
  height: 20px;
  font-size: 13px;
  color: #444
}

.city-name,
th.city-param {
  font-family: "Space Grotesk", Arial, sans-serif;
  font-weight: 400;
  font-size: 12px;
  line-height: 100%;
  padding: 4pt 6pt;
  -webkit-border-bottom-right-radius: 2pt;
  border-bottom-right-radius: 2pt;
  -webkit-border-top-right-radius: 2pt;
  border-top-right-radius: 2pt
}

.city-name,
.city-weather {
  display: inline-block
}

.city-weather {
  font-family: "Space Grotesk", Arial, sans-serif;
  font-size: 12px;
  line-height: 100%;
  padding: 4pt;
  min-width: 16px;
  background: #48484a;
  -webkit-border-bottom-left-radius: 2pt;
  border-bottom-left-radius: 2pt;
  -webkit-border-top-left-radius: 2pt;
  border-top-left-radius: 2pt
}

.weather-very-hot {
  background: #f56048
}

.weather-hot {
  background: #fbaa1b
}

.weather-average {
  background: #e8d024
}

.weather-cold {
  background: #60bdfa
}

.weather-very-cold {
  background: #1c71f2
}

.weather-none {
  background: gray
}



#filter-container {
  position: absolute;
  top: 10px;
  right: 10px;
  background-color: white;
  padding: 10px;
  z-index: 1;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  background-repeat: no-repeat;
  background-position: right center;
}

/* Styling for each filter option */
#filter-container div {
  display: flex;
  align-items: center;
  gap: 5px;
}

/* Styling for radio buttons */
.weather-control-layers-selector {
  /* Hide the default radio button */
  display: none;
}

/* Styling for the radio button label */
.weather-control-layers-selector + label {
  cursor: pointer;
  font-weight: bold;
}

/* Styling for the radio button indicator */
.weather-control-layers-selector + label:before {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  border: 2px solid #aaa;
  margin-right: 5px;
}

/* Styling for the checked radio button indicator */
.weather-control-layers-selector:checked + label:before {
  background-color: #aaa;
}

/* Styling for the radio button text */
.weather-control-layers-selector + label span {
  font-size: 14px;
}

 

/* #filter-container>div {
  display: flex;
  align-items: center;
  margin-bottom: 5px;
} */

/* #filter-container input[type="radio"] {
  margin-right: 5px;
}  */